Bug 65821 - 7.2 -> 7.3 anaconda crashes on choosing "upgrade"
7.2 -> 7.3 anaconda crashes on choosing "upgrade"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 22:24 EDT by William Sudderth
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Sudderth 2002-05-31 22:24:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
Upon running anaconda from CD, everything is normal until the "upgrade an
existing installation" option is chosen and "next" is clicked. At that point
anaconda freezes.  The only thing left to do is a cold reset.

All three ISO-burned CDs checked out on mediacheck.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from RH7.3 disk 1
2. Select standard English, keyboard, mouse
3. Select "upgrade an existing installation" and click "next"
	

Actual Results:  HD access light on my external SCSI drive lights and stays lit
with no sound of disk access, and (I kid you not) the caps lock and scroll lock
LEDs on my Microsoft Internet Keyboard begin blinking indefinitely.

Expected Results:  Anaconda continues the upgrade process

Additional info:

System configuration:
* MSI KT7 Turbo motherboard
* Athlon 1800+
* 2 IDE drives, one with GRUB/Windows 98 SE, other with Red Hat partitions on
ext3 filesystem
* Quantum Viking II 9.1 MB external scsi with FAT32 filesystem
* Tekram SCSI-2 card
* Microsoft optical mouse (selected MS Intellimouse and Generic 3-button for
failed upgrade attempts)
* Microsoft 104-key Internet Keyboard
Comment 1 Michael Fulbright 2002-06-04 10:45:59 EDT
Ah you've gotten a kernel panic from the sound of it.

Try doing an install in text mode (just boot the installer and
type 'text' <ENTER>.

When you get to the point it halts there should be alot of info on the screen
which if you could attach to this bug we may be able to determine why the kernel
stopped.
Comment 2 William Sudderth 2002-06-04 23:42:12 EDT
Here's what's left on the screen after attempting to upgrade in text mode:

---------

EIP is at (2.4.18-3BOOT)
eax: 00000000   ebx: dbbce0fc   ecx: c02908d8   edx: 000bcc0c
esi: dbc38ea0   edi: 00000000   ebp: dbbce084   esp: c0265f04
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 0, stackpage=c0265000)
STACK: c0265f37 dbbce0fc dbbce084 000000c1 dc8284de dbbce084 dbbce0fc 00000080
       dbbce084 dbbce0fc c0265f37 00000286 812c2b24 c018c1dd dbd18160 00000202
       c0194f08 dbc32a60 04000001 0000000b c0265f9c c0109839 0000000b dbbce084
Call Trace: [<dc8284de>]
[<c018c1dd>]
[<c0194f08>]
[<c0109839>]
[<c0109988>]
[<c0105000>]
[<c010bea8>]
[<c0106b74>]
[<c0105000>]
[<c0106b97>]
[<c0106bdc>]


Code: 80 60 27 fe 85 f6 0f 84 9f 00 00 00 80 4e 27 02 e9 96 00 00
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler  not syncing
Comment 3 Michael Fulbright 2002-06-06 12:48:43 EDT
Thanks for entering this information - forwarding kernel panic to kernel component.
Comment 4 Arjan van de Ven 2002-06-06 12:51:26 EDT
Can you try typing "linux mem=xxxM" where xxx is the amount of memory (in
megabytes) minus 16 ?
Comment 5 William Sudderth 2002-06-06 17:36:44 EDT
At the prompt after booting from the 7.3 CD?
Comment 6 Arjan van de Ven 2002-06-06 17:37:39 EDT
at the syslinux screen, eg the very very first screen with text on it
Comment 7 William Sudderth 2002-06-06 21:07:59 EDT
Had no effect -- installer crashed at the same moment.
Comment 8 William Sudderth 2002-06-16 00:48:38 EDT
Further details: Had the chance to try again with text mem=432M (have 448M
installed).  Some of the info on the screen at the crash time had changed.  Here
it is.

--------

EIP is at (2.4.18-3BOOT)
eax: 00000000   ebx: dabf60fc   ecx: c02908d8   edx: 000bcc0c
esi: dacdaea0   edi: 00000000   ebp: dabf6084   esp: c0265f04
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 0, stackpage=c0265000)
STACK: c0265f37 dabf60fc dabf6084 000000c1 dc0284de dabf6084 dabf60fc 00000080
       dabf6084 dabf60fc c0265f37 00000286 812c2b24 c018c1dd c15f9160 00000202
       c0194f08 dacd8a60 04000001 0000000b c0265f9c c0109839 0000000b dabf6084
Call Trace: [<dc0284de>]
[<c018c1dd>]
[<c0194f08>]
[<c0109839>]
[<c0109988>]
[<c0105000>]
[<c010bea8>]
[<c0106b74>]
[<c0105000>]
[<c0106b97>]
[<c0106bdc>]


Code: 80 60 27 fe 85 f6 0f 84 9f 00 00 00 80 4e 27 02 e9 96 00 00
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

---

Changes are at ebx, esi, ebp, numerous places in the stack, and the first line
of call trace.

Also, I have since installed the Red Hat 2.4.9-34 kernel rpms in my existing 7.2
installation on the same hardware, and am experiencing no ill effects.
Comment 9 William Sudderth 2002-06-19 22:45:13 EDT
Is there any additional information that I need to provide that would assist in
resolving this bug? There is something about the interaction between the kernel
on Disc 1 and my hardware that is preventing me from upgrading to Red Hat's
current product.
Comment 10 Bugzilla owner 2004-09-30 11:39:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.